## org.apache.poi.hssf.record.chart
Class SeriesListRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.SeriesListRecord

    public final class SeriesListRecord

extends StandardRecord

SERIESLIST (0x1016)

The series list record defines the series displayed as an overlay to the main chart record.
(As with all chart related records, documentation is lacking. See `ChartRecord` for more details)

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`SeriesListRecord(RecordInputStream in)`
`SeriesListRecord(short[] seriesNumbers)`

Method Summary
`java.lang.Object` `clone()`
`protected int` `getDataSize()`
`short[]` `getSeriesNumbers()` Get the series numbers field for the SeriesList record.
`short` `getSid()` return the non static version of the id for this record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### SeriesListRecord

    public SeriesListRecord(short[] seriesNumbers)

### SeriesListRecord

    public SeriesListRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getSeriesNumbers

    public short[] getSeriesNumbers()

  Get the series numbers field for the SeriesList record.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.